<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.591
Name: Conclusion Pathology Entry
Description: Conclusion Pathology Entry, per monster
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000">
   <title>Conclusion Pathology Entry</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]
Item: (ConclusionPathologyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]"
         id="d20e17826-false-d177159e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]) &gt;= 1">(ConclusionPathologyEntry): element hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]) &lt;= 1">(ConclusionPathologyEntry): element hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]
Item: (ConclusionPathologyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]"
         id="d20e17853-false-d177176e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="string(@classCode) = ('ACT')">(ConclusionPathologyEntry): de waarde van classCode MOET 'ACT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="string(@moodCode) = ('EVN')">(ConclusionPathologyEntry): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']) &gt;= 1">(ConclusionPathologyEntry): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']) &lt;= 1">(ConclusionPathologyEntry): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:code[(@code = 'X-LAB-SPMSCT' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(ConclusionPathologyEntry): element hl7:code[(@code = 'X-LAB-SPMSCT' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:code[(@code = 'X-LAB-SPMSCT' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(ConclusionPathologyEntry): element hl7:code[(@code = 'X-LAB-SPMSCT' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]) &lt;= 1">(ConclusionPathologyEntry): element hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']
Item: (ConclusionPathologyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']"
         id="d20e17859-false-d177217e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologyEntry): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.591')">(ConclusionPathologyEntry): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.591' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]/hl7:code[(@code = 'X-LAB-SPMSCT' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (ConclusionPathologyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]/hl7:code[(@code = 'X-LAB-SPMSCT' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e17864-false-d177232e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionPathologyEntry): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="@nullFlavor or (@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')">(ConclusionPathologyEntry): de elementwaarde MOET een zijn van 'code 'X-LAB-SPMSCT' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]
Item: (ConclusionPathologyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]"
         id="d20e17869-false-d177248e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="string(@typeCode) = ('SPC')">(ConclusionPathologyEntry): de waarde van typeCode MOET 'SPC' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]) &gt;= 1">(ConclusionPathologyEntry): element hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]) &lt;= 1">(ConclusionPathologyEntry): element hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]
Item: (ConclusionPathologyEntry)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]"
         id="d20e17873-false-d177268e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="string(@classCode) = ('SPEC')">(ConclusionPathologyEntry): de waarde van classCode MOET 'SPEC' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(ConclusionPathologyEntry): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20181218T165938/tmp-2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(ConclusionPathologyEntry): element hl7:id[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.591
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.591']]/hl7:specimen[@typeCode = 'SPC'][hl7:specimenRole[@classCode = 'SPEC']]/hl7:specimenRole[not(@nullFlavor)][@classCode = 'SPEC'][hl7:id]/hl7:id[not(@nullFlavor)]
Item: (ConclusionPathologyEntry)
-->
</pattern>
